/*************************************************
*     rpld - an IBM style RIPL server            *
*************************************************/

/* Copyright (c) 1999, James McKenzie.
 *                      All rights reserved
 * Copyright (c) 1998, Christopher Lightfoot.
 *                      All rights reserved
 *
 * By using this file, you agree to the terms and conditions set
 * forth in the LICENCE file which can be found at the top level of
 * the rpld distribution.
 *
 * IBM is a trademark of IBM corp.
 *
 */


/*
 * $Id: client.h,v 1.6 1999/09/22 13:17:49 root Exp $
 *
 * $Log: client.h,v $
 * Revision 1.6  1999/09/22 13:17:49  root
 * Added partial_mac_len field for wildcarded mac addresses in
 * struct client.
 *
 * Revision 1.5  1999/09/13 11:17:35  root
 * \#
 *
 * Revision 1.4  1999/09/13 11:05:27  root
 * \#
 *
 * Revision 1.3  1999/09/13 11:04:13  root
 * \#
 *  
 */




#define ST_START	0
#define ST_FIND		1
#define ST_FOUND	2
#define ST_SENDFILE	3
#define ST_FILEDATA	4
#define ST_DONE		5

struct clfile
  {
    char *path;
    unsigned char *data;

    int offset;
    int length;

    u32 load_addr;

    int sblock, eblock;
    struct clfile *next;

    FILE *f;
  };

struct client
  {
    int state;

    u8 mac[ETH_ALEN];
    int partial_mac_len;
    int framelen;
    int blocknum;
    int blocklen;


    u32 run_addr;

    struct clfile *files;
    struct clfile *file;

    struct client *next;
  };
